from plone.base.interfaces.controlpanel import IMailSchema
from plone.registry.interfaces import IRegistry
from Products.Five import BrowserView
from zope.component import getUtility


class MailNotificationView(BrowserView):
    @property
    def mail_settings(self):
        registry = getUtility(IRegistry)
        return registry.forInterface(IMailSchema, prefix="plone")
